Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 6874)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 7050)
@@ -29,5 +29,5 @@
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
-global $user, $lang, $conf, $errors,$mails_données;
+global $user, $lang, $conf, $errors,$mails_donnees;
 global $args, $conf_mail,$infos_message,$erreur_message,$mails_options ;
 // +-----------------------------------------------------------------------+
@@ -134,5 +134,5 @@
 		if (!isset($mails_options[check_mailto])) $mails_options[check_mailto] = 'off' ;  //0
 //================================================================================================		
-$mails_données = Get_Datas();
+$mails_donnees = Get_Datas();
 
 
@@ -147,5 +147,5 @@
 	
 // *************************************************************************
-// |                          Sélection de l'onglet                        |
+// |                          Selection de l'onglet                        |
 // *************************************************************************
 
@@ -185,17 +185,17 @@
 	if ( $_POST['submit'] == l10n('Sv_refresh')   ) {
    	 	
-	if ($mails_données['nb_mails'] == 0 )  
-	    $mails_données['date_mail'] = time();	
-	
-	if ($mails_données['nb_spams'] == 0 )
-	   $mails_données['date_spam'] = time();
-	
-	
-	if ($mails_données['quarantaine'] == false)
-	{ $mails_données['reste'] = 0;
-	  $mails_données['date_quarantaine']=time();
+	if ($mails_donnees['nb_mails'] == 0 )  
+	    $mails_donnees['date_mail'] = time();	
+	
+	if ($mails_donnees['nb_spams'] == 0 )
+	   $mails_donnees['date_spam'] = time();
+	
+	
+	if ($mails_donnees['quarantaine'] == false)
+	{ $mails_donnees['reste'] = 0;
+	  $mails_donnees['date_quarantaine']=time();
 	 }
 	 $infos_message .=  l10n('Sv_refresh') .'<br />';
-     sauve_données();
+     sauve_donnees();
  	 $aff_nb = false ;
  
@@ -205,14 +205,14 @@
 	if ( $_POST['submit'] == l10n('Sv_raz')   ) {
 
-	$mails_données['date_quarantaine']=time();
-	$mails_données['nb_mails'] = 0  ;
-	$mails_données['nb_spams'] = 0  ;
-	$mails_données['date_mail'] = time();
-	$mails_données['date_spam'] = time();
-	
-	$mails_données['reste'] = 0;
-	$mails_données['quarantaine']='false';
-	
-     sauve_données();
+	$mails_donnees['date_quarantaine']=time();
+	$mails_donnees['nb_mails'] = 0  ;
+	$mails_donnees['nb_spams'] = 0  ;
+	$mails_donnees['date_mail'] = time();
+	$mails_donnees['date_spam'] = time();
+	
+	$mails_donnees['reste'] = 0;
+	$mails_donnees['quarantaine']='false';
+	
+     sauve_donnees();
 	 $infos_message .=  l10n('Sv_raz') .'<br />'; ;
 	
@@ -226,34 +226,34 @@
   		$mails_options[check_header_text] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;     
   
-		//données  
-		$mails_données['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_données['nb_mails_maxi']  ;
-		$mails_données['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_données['nb_mails_periode']  ;  
-		$mails_données['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_données['nb_spams_maxi']  ;
-		$mails_données['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_données['nb_spams_periode']  ;
-
-		$mails_données['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_données['quarantaine_periode']  ;
- 
-			$mails_données['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message']  ;
-			$mails_données['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_données['header_text']  ;
+		//donnees  
+		$mails_donnees['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_donnees['nb_mails_maxi']  ;
+		$mails_donnees['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_donnees['nb_mails_periode']  ;  
+		$mails_donnees['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_donnees['nb_spams_maxi']  ;
+		$mails_donnees['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_donnees['nb_spams_periode']  ;
+
+		$mails_donnees['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_donnees['quarantaine_periode']  ;
+ 
+			$mails_donnees['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_donnees['message']  ;
+			$mails_donnees['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_donnees['header_text']  ;
  //=======================================================================================================
-	 		vérif_mails_données();
+	 		verif_mails_donnees();
 		 	sauve_options();
-         	sauve_données();
+         	sauve_donnees();
 //=======================================================================================================
 			$infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
 			$erreur_message = "";
-			$mails_données = Get_Datas() ;
+			$mails_donnees = Get_Datas() ;
    			}
        }
 	
-	$mails_données = Get_Datas();
-    vérif_mails_données();
+	$mails_donnees = Get_Datas();
+    verif_mails_donnees();
 //===============================================================================
  
-	$rest_mail= $mails_données['rest_mail'];  	
- 	$rest_spam= $mails_données['rest_spam'];  	
-    $reste= $mails_données['reste'];  	
-
-$quarantaine = ($mails_données['quarantaine'] == 'true') ? true : false ;	
+	$rest_mail= $mails_donnees['rest_mail'];  	
+ 	$rest_spam= $mails_donnees['rest_spam'];  	
+    $reste= $mails_donnees['reste'];  	
+
+$quarantaine = ($mails_donnees['quarantaine'] == 'true') ? true : false ;	
 
 $template->assign(
@@ -264,23 +264,23 @@
 
    
-   	'nb_mails' => $mails_données['nb_mails'] ,
-   	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_données['date_mail'])."'" ,
-   	'nb_mails_maxi' => $mails_données['nb_mails_maxi'] ,	
-	'nb_mails_periode' => "'". int_to_heure($mails_données['nb_mails_periode'])."'" ,	
+   	'nb_mails' => $mails_donnees['nb_mails'] ,
+   	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_donnees['date_mail'])."'" ,
+   	'nb_mails_maxi' => $mails_donnees['nb_mails_maxi'] ,	
+	'nb_mails_periode' => "'". int_to_heure($mails_donnees['nb_mails_periode'])."'" ,	
  	'time_mails_reste' => "'".int_to_heure( $rest_mail )."'" ,	
 	
-  	'nb_spams' => $mails_données['nb_spams'] ,
-	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_données['date_spam'])."'" ,
-	'nb_spams_maxi' => $mails_données['nb_spams_maxi'] ,	
-	 'nb_spams_periode' => "'".int_to_heure($mails_données['nb_spams_periode'])."'" ,
+  	'nb_spams' => $mails_donnees['nb_spams'] ,
+	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_donnees['date_spam'])."'" ,
+	'nb_spams_maxi' => $mails_donnees['nb_spams_maxi'] ,	
+	 'nb_spams_periode' => "'".int_to_heure($mails_donnees['nb_spams_periode'])."'" ,
 	 'time_spams_reste' => "'".int_to_heure($rest_spam)."'" ,	
 	 
 	 'quarantaine' => $quarantaine ,
   	'date_quarantaine' => "'".date(l10n('Sv_formatdate'),time()+$reste)."'" ,
-	'quarantaine_periode' => "'".int_to_heure($mails_données['quarantaine_periode'])."'" ,
+	'quarantaine_periode' => "'".int_to_heure($mails_donnees['quarantaine_periode'])."'" ,
      'reste' => "'".int_to_heure($reste)."'",
  
-    'message' => $mails_données['message'] ,
-	'header_text' => "'".$mails_données['header_text']."'" ,
+    'message' => $mails_donnees['message'] ,
+	'header_text' => "'".$mails_donnees['header_text']."'" ,
 	
     'PHPWG_VERSION' =>	 PHPWG_VERSION ,
@@ -303,5 +303,5 @@
    case 'mail_superv_test':
    
-   $mails_données = Get_Datas() ;
+   $mails_donnees = Get_Datas() ;
    	$group_id = isset($_POST['group']) ? $_POST['group'] :  '-1'  ;
 	if ($group_id >= 0) {
@@ -342,5 +342,5 @@
 $titre=$conf['gallery_title'];
 
-$message = empty($_POST['MAIL_CONTENT']) ? $mails_données['message_test'] : stripslashes($_POST['MAIL_CONTENT']);
+$message = empty($_POST['MAIL_CONTENT']) ? $mails_donnees['message_test'] : stripslashes($_POST['MAIL_CONTENT']);
 
  if (function_exists('get_user_language_desc') ) $message = get_user_language_desc($message);
@@ -360,8 +360,8 @@
 	
 
-$mails_données['message_test']= str_replace('"',"'",$message) ;
+$mails_donnees['message_test']= str_replace('"',"'",$message) ;
  unset_make_full_url();
-	sauve_données();
-$mails_données = Get_Datas() ;
+	sauve_donnees();
+$mails_donnees = Get_Datas() ;
 	
   $query = '
@@ -384,10 +384,10 @@
 //=====================================================================================
 if ( isset($_POST['test_envoie']) ) {
-$mails_données['message_test'] = empty($_POST['MAIL_CONTENT']) ? '' : stripslashes($_POST['MAIL_CONTENT']);
-		$message=$mails_données['message_test'];
+$mails_donnees['message_test'] = empty($_POST['MAIL_CONTENT']) ? '' : stripslashes($_POST['MAIL_CONTENT']);
+		$message=$mails_donnees['message_test'];
 //test_envoie($message,$group_name,$group_id); 
-		sauve_données();
+		sauve_donnees();
   
-		$mails_données = Get_Datas() ;
+		$mails_donnees = Get_Datas() ;
 		
   } 
@@ -421,8 +421,8 @@
   					array(
 				'Groupe'     => $groups,
-    			'message_test' => $mails_données['message_test'] ,
+    			'message_test' => $mails_donnees['message_test'] ,
 				'liste' => $destinataires ,
  'version' =>	 $version ,
-			    'MAIL_CONTENT' => $mails_données['message_test'],
+			    'MAIL_CONTENT' => $mails_donnees['message_test'],
 	            'path_js' => $path_js
 		 				)
@@ -582,34 +582,34 @@
 	   
 
-	if  ( $mails_données['reste'] < 0 ) {
-	    $mails_données['quarantaine'] =false ;
-	    $mails_données['date_quarantaine']= time()  ;	
-		$mails_données['nb_spams'] = 0 ;
+	if  ( $mails_donnees['reste'] < 0 ) {
+	    $mails_donnees['quarantaine'] =false ;
+	    $mails_donnees['date_quarantaine']= time()  ;	
+		$mails_donnees['nb_spams'] = 0 ;
 	    $modif == true ;
 	}
 	 
 	  
- 	$rest_mail =    $mails_données['rest_mail'] ;
-	if ($rest_mail <=0 || $mails_données['nb_mails'] ==0 ){
-	   $mails_données['nb_mails'] =0 ;
-	   $mails_données['date_mail'] = time();
+ 	$rest_mail =    $mails_donnees['rest_mail'] ;
+	if ($rest_mail <=0 || $mails_donnees['nb_mails'] ==0 ){
+	   $mails_donnees['nb_mails'] =0 ;
+	   $mails_donnees['date_mail'] = time();
 	   $modif = true ;
 	}
 	
-	$rest_spam =    $mails_données['rest_spam'] ;
-
- 	if ($rest_spam <=0 || $mails_données['nb_spams'] ==0 ){
-	   $mails_données['nb_spams'] =0 ;
-	   $mails_données['date_spam'] = time();
+	$rest_spam =    $mails_donnees['rest_spam'] ;
+
+ 	if ($rest_spam <=0 || $mails_donnees['nb_spams'] ==0 ){
+	   $mails_donnees['nb_spams'] =0 ;
+	   $mails_donnees['date_spam'] = time();
 	   $modif = true ;
 	}
 	if ( $modif == true ) 	{ 
-				sauve_données();
+				sauve_donnees();
  				$modif = false ;
  		}
 
 		if ($aff_nb == true) {
-		 $infos_message .= 'Mails    : '.$mails_données['nb_mails']. '  \\  ' . $mails_données['nb_mails_maxi'];
-		 $infos_message .= "\n".'Spams : '.$mails_données['nb_spams']. '  \\  ' . $mails_données['nb_spams_maxi'];
+		 $infos_message .= 'Mails    : '.$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];
+		 $infos_message .= "\n".'Spams : '.$mails_donnees['nb_spams']. '  \\  ' . $mails_donnees['nb_spams_maxi'];
 		}
 		
Index: extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 6874)
+++ extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 7050)
@@ -155,5 +155,5 @@
 </div> <!-- instructionlastmessage -->
  <img src="{$smile_bonjour}" />
- Rédaction en cours....
+ Redaction en cours....
  </fieldset>
  
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 6874)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 7050)
@@ -75,8 +75,8 @@
 }
 //=================================================================================
-function sauve_données()
-{
-
-global $mails_données,$superv_champs,$superv_type,$erreur_message ;
+function sauve_donnees()
+{
+
+global $mails_donnees,$superv_champs,$superv_type,$erreur_message ;
 //=====================================================================	
  	$clefs = $superv_champs ;
@@ -87,7 +87,7 @@
      $champ = trim($champ);
      
-	 if ( isset($mails_données[  $champ ]) ) {
-	   $sep= (is_string($mails_données[ $champ ])) ? '"' : '' ;
-       array_push($valeurs , "`".$champ."`" . ' = ' . $sep . $mails_données[  $champ ] . $sep)  ;
+	 if ( isset($mails_donnees[  $champ ]) ) {
+	   $sep= (is_string($mails_donnees[ $champ ])) ? '"' : '' ;
+       array_push($valeurs , "`".$champ."`" . ' = ' . $sep . $mails_donnees[  $champ ] . $sep)  ;
 	 }else{
 	 
@@ -258,5 +258,5 @@
  
 	if (!$result) {
-					vérif_base();
+					verif_base();
 	 				$result = @pwg_query($query);
 					}
@@ -315,5 +315,5 @@
 function int_to_heure($int)
 {
-global $lang,$mails_données ;
+global $lang,$mails_donnees ;
 
 $v0=Date_to_numeric(l10n('Day') );
@@ -375,5 +375,5 @@
 
 	
-function vérif_base()
+function verif_base()
 {
 
@@ -546,24 +546,24 @@
 }
 //=====================================================================
-function vérif_mails_données()
-{
-global $mails_données,$infos_message,$erreur_message,$page;
-
-if (!is_numeric($mails_données['nb_mails_periode']))
-{
- $periode = Str_To_Time( $mails_données['nb_mails_periode'],0);
- $mails_données['nb_mails_periode']= ($periode > 0) ? $periode : '604800' ;
+function verif_mails_donnees()
+{
+global $mails_donnees,$infos_message,$erreur_message,$page;
+
+if (!is_numeric($mails_donnees['nb_mails_periode']))
+{
+ $periode = Str_To_Time( $mails_donnees['nb_mails_periode'],0);
+ $mails_donnees['nb_mails_periode']= ($periode > 0) ? $periode : '604800' ;
  }
 
-if (!is_numeric($mails_données['nb_spams_periode']))
-{
- 
- $periode=Str_To_Time( $mails_données['nb_spams_periode'],0);
- $mails_données['nb_spams_periode']= ($periode > 0) ? $periode : '172800' ; ;
+if (!is_numeric($mails_donnees['nb_spams_periode']))
+{
+ 
+ $periode=Str_To_Time( $mails_donnees['nb_spams_periode'],0);
+ $mails_donnees['nb_spams_periode']= ($periode > 0) ? $periode : '172800' ; ;
  }
-if (!is_numeric($mails_données['quarantaine_periode']))
-{
- $periode=Str_To_Time( $mails_données['quarantaine_periode'],0);
- $mails_données['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
+if (!is_numeric($mails_donnees['quarantaine_periode']))
+{
+ $periode=Str_To_Time( $mails_donnees['quarantaine_periode'],0);
+ $mails_donnees['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
  }
 
@@ -606,5 +606,5 @@
 //--- traduction --> anglais --- 
 
- //========= suppression numéric et symbole ==========
+ //========= suppression numeric et symbole ==========
 $new_valeur =( preg_replace("/[0-9+\-.*\/()%]/"," ",$a_ajouter)); 
 $nv =  trim( sup_double_espace($new_valeur)) ;
@@ -758,5 +758,5 @@
 		 $result = @pwg_query($query);
 	if (!$result) {
-					vérif_base();
+					verif_base();
 	 				$result = @pwg_query($query);
 				}
@@ -834,5 +834,5 @@
  
 	if (!$result) {
-					vérif_base();
+					verif_base();
 	 				$result = @pwg_query($query);
 					}
@@ -888,14 +888,15 @@
 {
 $buffer="";
+
 // fretgpsolodens
-$src =  "http://www.stopforumspam.com/api?";
+$src = "" ;// "http://www.stopforumspam.com/api?";
 $type=array();
 $result="";
 if (strlen($ip)>3) { 
-//==================  Vérifie si l'IP est correct  ================================
+//==================  Verifie si l'IP est correct  ================================
 if (clj_is_ip($ip)){     
       
 } else {  
-//==================  Vérifie si l'adresse mail est correcte  ================================ 
+//==================  Verifie si l'adresse mail est correcte  ================================ 
       if( clj_is_mail($ip) ){  
 	      $mail_adresse=$ip ;
Index: extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- extensions/Mail_supervisor/include/function_test_send.php	(revision 6874)
+++ extensions/Mail_supervisor/include/function_test_send.php	(revision 7050)
@@ -31,5 +31,5 @@
 function test_envoie($message,$group_name,$group_id)
 {
-    global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_données,$args,$lang ;
+    global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$args,$lang ;
 	$mailto="";  
 	
@@ -45,7 +45,7 @@
     	$erreur_message = '';
 	}
-if (!isset($mails_données))
+if (!isset($mails_donnees))
 	{
-    	$mails_données = Get_Datas();
+    	$mails_donnees = Get_Datas();
 	}		
 if (!isset($conf_mail))
@@ -114,7 +114,7 @@
 function mail_attachement($args)
 {
- global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_données,$lang ;
-
-    $mails_données = Get_Datas();
+ global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$lang ;
+
+    $mails_donnees = Get_Datas();
 	  if (!isset($conf_mail))
   {
Index: extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 6874)
+++ extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 7050)
@@ -7,29 +7,29 @@
 
 //========================================================================================================
-$lang['Sv_Fonctionality']='Fonctionnalités';
+$lang['Sv_Fonctionality']='Fonctionnalites';
 
 $lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
-$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyés par le site.';
-$lang['Sv_hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
-$lang['Sv_hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
-$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['Sv_hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
+$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyes par le site.';
+$lang['Sv_hlp_1_2']='Detecte les differents messages d\'alertes generes par la fonction mail[]';
+$lang['Sv_hlp_1_3']='Compte le nombre de mails considere par le FAI comme spams.';
+$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyes est superieur à la valeur maxi defini par periode predeterminee.';
+$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams detectes est superieur à la valeur maxi defini par periode predeterminee.';
+$lang['Sv_hlp_1_6']='Mise en quarantaine si detection de "TROP DE SPAMS" pour une periode determinee.';
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
 $lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmaster..';
-$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
-$lang['Sv_hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
+$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si defaut \'bad syntax\'';
+$lang['Sv_hlp_2_3']='Si la version piwigo est inferieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
 
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
-$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
+$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zero.';
 $lang['Sv_hlp_3_2']='Date du premier envoie.';
 $lang['Sv_hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
-$lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
+$lang['Sv_hlp_3_4']='Duree pendant laquelle l\'envoie des mails est possible';
 
-$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptées: <br />
+$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptees: <br />
   + n '.l10n('Week').'<br />
   + n '.l10n('Day').'<br />
@@ -37,33 +37,33 @@
   + n '.l10n('Minute').'<br />
   + n '.l10n('Second').'<br />
- n étant le nombre de (semaine,jour,heure,minute,seconde) '
+ n etant le nombre de (semaine,jour,heure,minute,seconde) '
 ;
 
-$lang['Sv_hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
+$lang['Sv_hlp_3_5']='Duree restante avant la remise à zero du compteur.';
 
 $lang['Sv_state']='Etat';
 
 $lang['Sv_hlp_4_1']='Date limite de la mise en quarantaine.';
-$lang['Sv_hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
+$lang['Sv_hlp_4_2']='Duree restante avant l\' anulation de la mise en quarantaine.';
 	 
-$lang['Sv_last_message']='Dernier message renvoyé.';
-$lang['Sv_hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
+$lang['Sv_last_message']='Dernier message renvoye.';
+$lang['Sv_hlp_5_1']='Dernier message renvoye par la fonction mail() en cas d\'erreur.';
 
 
 //====================================================================== 
-$lang['Sv_hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
+$lang['Sv_hlp_7_1']='Ce module permet de creer une liste noire contenant les adresses IP indesirables.<br />
           ' ;	
-$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' émission de mail si l\' adresse IP est dans la liste noire. <br />
+$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' emission de mail si l\' adresse IP est dans la liste noire. <br />
 		  ' ;	
 $lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
 		  ' ;	
-$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
+$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de donnees de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
 		   Un compteur dans cette liste indique le nombre de tentative de connexion.<br />
-		   Des informations sur le pays et la ville du FAI sont également stockées.<br />
+		   Des informations sur le pays et la ville du FAI sont egalement stockees.<br />
 		   
 		   		' ;	
-$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
+$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indesirables.<br />
 		   
-				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorisés.<br />
+				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorises.<br />
 				    Exemple : 94.102.63.* :
 				  Exclusion de toutes les adresses IP de 94.102.63.0 à 94.102.63.255 <br />
@@ -72,7 +72,7 @@
 				  
 		' ;	
-$lang['Sv_hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
+$lang['Sv_hlp_7_3']= ' Cliquez ici pour verifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnee de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
 
-$lang['Sv_hlp_7_4']= ' Si vous décidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
+$lang['Sv_hlp_7_4']= ' Si vous decidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
 	 
 ' ;	
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 6874)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 7050)
@@ -61,5 +61,5 @@
 $lang['Sv_save_config'] = 'Données sauvegardées';
 $lang['Sv_syntax_error'] = 'Erreur de syntaxe. ';
-$lang['Sv_check_mailto'] = 'Envoyer une copie vers le WebMaster.';
+$lang['Sv_check_mailto'] = 'Si le champ "To" dans l\'entête est vide, envoyer une copie vers le WebMaster.';
 $lang['Sv_check_header_carbon'] = 'Modifier le code  Bcc , Ccc   dans le header';
 $lang['Sv_check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
Index: extensions/Mail_supervisor/main.inc.php
===================================================================
--- extensions/Mail_supervisor/main.inc.php	(revision 6874)
+++ extensions/Mail_supervisor/main.inc.php	(revision 7050)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.4.1
+Version: 1.4.2
 Description: Mail supervisor surveille l'envoie des mails.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
@@ -21,10 +21,10 @@
 function clj_mail($result, $mailto, $subject, $content, $headers, $args)
 {
-    global $conf, $user, $lang_info,  $conf_mail,$mails_options,$mails_données , $template,$page ,$erreur_message,$infos_message, $lang; 
+    global $conf, $user, $lang_info,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$erreur_message,$infos_message, $lang; 
 	// lecture config table -------------
 	include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
      load_language('plugin.lang', MAIL_SUPERV_PATH);
 	 $mails_options = explode("," , $conf['mail_superv']);
-//======== vérification si envoie de mail ou blocage connexion =====================
+//======== verification si envoie de mail ou blocage connexion =====================
 	if ($mails_options[no_mail_list]=='on' || $mails_options[no_connect] == 'on' )
 	{
@@ -60,29 +60,29 @@
     	$erreur_message = '';
 	}
-	// lecture données       -------------
-    $mails_données = Get_Datas();
- 
-	$nb_mails	  =	$mails_données['nb_mails'] ;
-	$next_day  =  $mails_données['date_mail'] ;
-	
-	$reste =    $mails_données['reste'] ;
-	
-	
-	$rest_mail =    $mails_données['rest_mail'] ;
-	if ($rest_mail <=0 || $mails_données['nb_mails'] ==0 ){
-	   $mails_données['nb_mails'] =0 ;
-	   $mails_données['date_mail'] = time();
-	}
-	
-	$rest_spam =    $mails_données['rest_spam'] ;
- 	if ($rest_spam <=0 || $mails_données['nb_spams'] ==0 ){
-	   $mails_données['nb_spams'] =0 ;
-	   $mails_données['date_spam'] = time();
-	}
-	
-	$alerte =   ( $mails_données['reste'] >0 ) ? true : false ; 
-	
-	$alerte_mail =    ( $mails_données['nb_mails'] >   $mails_données['nb_mails_maxi']-1 ) ? true : false ;
-	$alerte_spam =    (  $mails_données['nb_spams'] >   $mails_données['nb_spams_maxi']-1 ) ? true : false ;
+	// lecture donnees       -------------
+    $mails_donnees = Get_Datas();
+ 
+	$nb_mails	  =	$mails_donnees['nb_mails'] ;
+	$next_day  =  $mails_donnees['date_mail'] ;
+	
+	$reste =    $mails_donnees['reste'] ;
+	
+	
+	$rest_mail =    $mails_donnees['rest_mail'] ;
+	if ($rest_mail <=0 || $mails_donnees['nb_mails'] ==0 ){
+	   $mails_donnees['nb_mails'] =0 ;
+	   $mails_donnees['date_mail'] = time();
+	}
+	
+	$rest_spam =    $mails_donnees['rest_spam'] ;
+ 	if ($rest_spam <=0 || $mails_donnees['nb_spams'] ==0 ){
+	   $mails_donnees['nb_spams'] =0 ;
+	   $mails_donnees['date_spam'] = time();
+	}
+	
+	$alerte =   ( $mails_donnees['reste'] >0 ) ? true : false ; 
+	
+	$alerte_mail =    ( $mails_donnees['nb_mails'] >   $mails_donnees['nb_mails_maxi']-1 ) ? true : false ;
+	$alerte_spam =    (  $mails_donnees['nb_spams'] >   $mails_donnees['nb_spams_maxi']-1 ) ? true : false ;
 	
  
@@ -102,5 +102,5 @@
  			$nb_destinataires += count($args['Cc']); 
 			}
-   //================= réécriture de l'entête ===============================
+   //================= reecriture de l'entête ===============================
 if ( $nb_destinataires  == 1 )
 	{
@@ -137,5 +137,5 @@
        	$texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
        	$texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-       	$texte .= $mails_données['header_text']; // A voir texte brut...
+       	$texte .= $mails_donnees['header_text']; // A voir texte brut...
 	   
 	   	$texte .= "\n\n"; 
@@ -157,5 +157,5 @@
  	  		$message .= ob_get_contents();
     	    ob_end_clean();
-			$mails_données['message']=$message;	
+			$mails_donnees['message']=$message;	
 	 		Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto);
 		
@@ -169,7 +169,7 @@
 		        $type="Spams";
 				
-				$d1=$mails_données['nb_spams'] . '  \\  ' . $mails_données['nb_spams_maxi'];
-				$d2=$mails_données['nb_spams'];
- 				$d3= $mails_données['rest_spam'];
+				$d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+				$d2=$mails_donnees['nb_spams'];
+ 				$d3= $mails_donnees['rest_spam'];
 				$d4=time()+$d3 ;
  			} 
@@ -178,7 +178,7 @@
 		        $type="Mails";
 		        
-				$d1=$mails_données['nb_mails']. '  \\  ' . $mails_données['nb_mails_maxi'];;
-				$d2=$mails_données['date_mail'];
- 				$d3= $mails_données['rest_mail'];
+				$d1=$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];;
+				$d2=$mails_donnees['date_mail'];
+ 				$d3= $mails_donnees['rest_mail'];
 				$d4=time()+$d3 ;
 				
@@ -187,7 +187,7 @@
 			if ($alerte) {
 		        $type="Spams(Quarantaine)";
-				$d1=$mails_données['nb_spams'] . '  \\  ' . $mails_données['nb_spams_maxi'];
-				$d2=$mails_données['date_quarantaine'];
- 				$d3= $mails_données['reste'];
+				$d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+				$d2=$mails_donnees['date_quarantaine'];
+ 				$d3= $mails_donnees['reste'];
 				$d4=time()+$d3 ;
  			} 
@@ -207,5 +207,5 @@
  
  }			
- sauve_données();
+ sauve_donnees();
  return true ;
 }
@@ -213,5 +213,5 @@
 function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto)
 {			
-	 global $conf, $user,  $conf_mail,$mails_options,$mails_données , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info; 
+	 global $conf, $user,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info; 
 
 	 
@@ -234,5 +234,5 @@
 	
 	$erreur_message .= sprintf(l10n('Sv_debug_message %s %s %s %s %s'),($ret==true)? "true" : "false",$message,$mailto,$headers,$nb_destinataires);
-       //=============== La fonction mail à retournéeune erreur =========================		
+       //=============== La fonction mail à retourneeune erreur =========================		
 
 				
@@ -241,20 +241,20 @@
     	if ($est_un_spam == false) 
 			{
-    			if ($mails_données['nb_mails']==0) {	$mails_données['date_mail'] =  time();	} 	
- 	    		$mails_données['nb_mails'] += $nb_destinataires;
+    			if ($mails_donnees['nb_mails']==0) {	$mails_donnees['date_mail'] =  time();	} 	
+ 	    		$mails_donnees['nb_mails'] += $nb_destinataires;
 			}
 			else
 			{
-				$mails_données['nb_spams'] += $nb_destinataires;			
-			    //--- Détection de spam ------------------
-				if ($mails_données['nb_spams']==0) {$mails_données['date_spam'] = time(); 	}
+				$mails_donnees['nb_spams'] += $nb_destinataires;			
+			    //--- Detection de spam ------------------
+				if ($mails_donnees['nb_spams']==0) {$mails_donnees['date_spam'] = time(); 	}
 
 				$trop_de_spam =!(strpos(strtolower($message), 'trop de spam') === false);
 				if ( $trop_de_spam ) {
-						$mails_données['nb_spams_maxi']=$mails_données['nb_spams'];
-
-						$mails_données['date_quarantaine']= time()  ;	
-						$mails_données['quarantaine']= true    ;	
-						$infos_message .=memo_var($mails_données);
+						$mails_donnees['nb_spams_maxi']=$mails_donnees['nb_spams'];
+
+						$mails_donnees['date_quarantaine']= time()  ;	
+						$mails_donnees['quarantaine']= true    ;	
+						$infos_message .=memo_var($mails_donnees);
 					}
 
Index: extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- extensions/Mail_supervisor/maintain.inc.php	(revision 6874)
+++ extensions/Mail_supervisor/maintain.inc.php	(revision 7050)
@@ -66,8 +66,6 @@
 function plugin_activate()
 {
-
-include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 	
- vérif_base() ;
-
+include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
+ verif_base() ;
 }
 
